Debian

Available patches from Ubuntu

To see Ubuntu differences wrt. to Debian, write down a grep-dctrl query identifying the packages you're interested in:
grep-dctrl -n -sPackage Sources.Debian
(e.g. -FPackage linux-ntfs or linux-ntfs)

Modified packages are listed below:

Debian ( Changelog | PTS | Bugs ) Ubuntu ( Changelog | txt | LP | Bugs ) | Diff from Ubuntu

Source: munin

munin (2.0.57-1ubuntu1) groovy; urgency=medium * Merge from Debian unstable - Remaining changes: * Add missing test dependency on net-tools for netstat plugin. * Stop cron and clean cache before running tests, because cron can also run munin - Dropped changes: * Run the setup again, if upgrading from 2.0.37-1 * Disable sysv autopkgtests -- Balint Reczey <rbalint@ubuntu.com> Thu, 07 May 2020 14:42:21 +0200

Modifications :
  1. Download patch debian/munin-async.postinst

    --- 2.0.57-1/debian/munin-async.postinst 2020-01-20 19:40:56.000000000 +0000 +++ 2.0.57-1ubuntu1/debian/munin-async.postinst 2020-05-07 12:42:21.000000000 +0000 @@ -22,7 +22,7 @@ initperms() { case "$1" in configure) add_munin_async_user - if [ -z "$2" ]; then + if [ -z "$2" -o "$2" = "2.0.37-1" ]; then initperms fi ;;
  2. Download patch debian/tests/control

    --- 2.0.57-1/debian/tests/control 2020-03-13 16:40:22.000000000 +0000 +++ 2.0.57-1ubuntu1/debian/tests/control 2020-05-07 12:42:21.000000000 +0000 @@ -30,9 +30,9 @@ Depends: munin, munin-node, daemontools, Restrictions: needs-root, breaks-testbed, isolation-container # sysvinit-core -Tests: master-cron-sysv, master-cgi-sysv -Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, psmisc, sharness, sysvinit-core, cron -Restrictions: needs-root, breaks-testbed, isolation-container, needs-reboot, allow-stderr, skip-not-installable +#Tests: master-cron-sysv, master-cgi-sysv +#Depends: munin, munin-node, daemontools, apache2, curl, file, libcgi-fast-perl, psmisc, sharness, sysvinit-core, #cron +#Restrictions: needs-root, breaks-testbed, isolation-container, needs-reboot, allow-stderr, skip-not-installable # Tests for munin-node: @@ -45,14 +45,13 @@ Restrictions: needs-root, breaks-testbed # systemd Tests: node-systemd -Depends: munin-node, netcat-openbsd, sharness, systemd-sysv +Depends: munin-node, netcat-openbsd, sharness, net-tools, systemd-sysv Restrictions: needs-root, breaks-testbed, isolation-container # sysvinit-core -Tests: node-sysv -Depends: munin-node, netcat-openbsd, sharness, sysvinit-core, cron -Restrictions: needs-root, breaks-testbed, isolation-container, needs-reboot, allow-stderr, skip-not-installable - +#Tests: node-sysv +#Depends: munin-node, netcat-openbsd, sharness, net-tools, sysvinit-core, cron +#Restrictions: needs-root, breaks-testbed, isolation-container, needs-reboot, allow-stderr, skip-not-installable # verify that all binary packages can be installed at the same time (without conflicts) Test-Command: true
  3. Download patch debian/tests/master-cron-systemd

    --- 2.0.57-1/debian/tests/master-cron-systemd 2020-03-13 16:40:22.000000000 +0000 +++ 2.0.57-1ubuntu1/debian/tests/master-cron-systemd 2020-05-07 12:42:21.000000000 +0000 @@ -1,5 +1,9 @@ #!/bin/sh +# set up clean env for testing the scripts +service cron stop +rm -rf /var/cache/munin/www/* + . debian/tests/switch_init_helper.inc
  4. Download patch debian/control

    --- 2.0.57-1/debian/control 2020-01-30 10:59:01.000000000 +0000 +++ 2.0.57-1ubuntu1/debian/control 2020-05-07 12:42:21.000000000 +0000 @@ -1,7 +1,8 @@ Source: munin Section: net Priority: optional -Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org> +Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> +XSBC-Original-Maintainer: Munin Debian Maintainers <team+munin@tracker.debian.org> Uploaders: Holger Levsen <holger@debian.org>, Stig Sandbeck Mathisen <ssm@debian.org> Build-Depends-Indep:
  5. Download patch debian/tests/master-cgi-sysv

    --- 2.0.57-1/debian/tests/master-cgi-sysv 2020-03-13 16:40:22.000000000 +0000 +++ 2.0.57-1ubuntu1/debian/tests/master-cgi-sysv 2020-05-07 12:42:21.000000000 +0000 @@ -1,5 +1,9 @@ #!/bin/sh +# set up clean env for testing the scripts +service cron stop +rm -rf /var/cache/munin/www/* + . debian/tests/switch_init_helper.inc . debian/tests/enable_cgi_strategy.inc
  6. Download patch debian/tests/master-cgi-systemd

    --- 2.0.57-1/debian/tests/master-cgi-systemd 2020-03-13 16:40:22.000000000 +0000 +++ 2.0.57-1ubuntu1/debian/tests/master-cgi-systemd 2020-05-07 12:42:21.000000000 +0000 @@ -1,5 +1,9 @@ #!/bin/sh +# set up clean env for testing the scripts +service cron stop +rm -rf /var/cache/munin/www/* + . debian/tests/switch_init_helper.inc . debian/tests/enable_cgi_strategy.inc
  7. Download patch debian/tests/master-cron-sysv

    --- 2.0.57-1/debian/tests/master-cron-sysv 2020-03-13 16:40:22.000000000 +0000 +++ 2.0.57-1ubuntu1/debian/tests/master-cron-sysv 2020-05-07 12:42:21.000000000 +0000 @@ -1,5 +1,9 @@ #!/bin/sh +# set up clean env for testing the scripts +service cron stop +rm -rf /var/cache/munin/www/* + . debian/tests/switch_init_helper.inc

Debian ( Changelog | PTS | Bugs ) Ubuntu ( Changelog | txt | LP | Bugs ) | Diff from Ubuntu

Source: puppet

puppet (5.5.19-1ubuntu2) groovy; urgency=medium * d/t/control: fix second dep8 test by telling it to not use a proxy for the "puppet" hostname, and allow stderr because of a ruby deprecation warning -- Andreas Hasenack <andreas@canonical.com> Tue, 07 Jul 2020 19:48:15 -0300 puppet (5.5.19-1ubuntu1) groovy; urgency=medium * Merge with Debian unstable. Remaining changes: - d/t/control: generate a certificate for puppet master if it does not already exist, as it is needed by the tests (LP: 1869084). - d/p/fix-ruby27-warning.patch: Add patch to fix a warning when executed with Ruby 2.7. It fixes an autopkgtest regression in ruby-puppet-syntax. - d/t/control: add 'puppet' to $no_proxy variable in puppet-master-passenger test to let tests make requests to puppet master running locally (LP: 1869265). * Dropped: - Add build and runtime dependency on ruby-sync (LP: 1866417). [Fixed in version 5.5.19-1] - d/t/control: Add allow-stderr restriction to puppet master and puppet master passenger tests. [Not needed anymore] * Added: - Re-add debian/puppet-master.NEWS removed from the package by mistake. [Drop in the next merge] -- Lucas Kanashiro <kanashiro@ubuntu.com> Thu, 02 Jul 2020 19:15:29 -0300

Modifications :
  1. Download patch debian/tests/control

    --- 5.5.19-1/debian/tests/control 2020-03-13 13:23:00.000000000 +0000 +++ 5.5.19-1ubuntu2/debian/tests/control 2020-07-07 22:48:15.000000000 +0000 @@ -2,11 +2,11 @@ Test-Command: cd debian/tests && rspec s Depends: puppet,ruby-serverspec Restrictions: needs-root,isolation-container -Test-Command: cd debian/tests && rspec spec/puppet-master/*_spec.rb +Test-Command: cd debian/tests && (puppet cert print $(hostname --fqdn) >/dev/null 2>&1 || puppet cert generate $(hostname --fqdn) --dns_alt_names=puppet) && no_proxy=puppet,$no_proxy rspec spec/puppet-master/*_spec.rb Depends: puppet-master,ruby-serverspec -Restrictions: needs-root,isolation-container +Restrictions: needs-root,isolation-container,allow-stderr -Test-Command: cd debian/tests && rspec spec/puppet-master-passenger/*_spec.rb +Test-Command: cd debian/tests && no_proxy=puppet,$no_proxy rspec spec/puppet-master-passenger/*_spec.rb Depends: puppet-master-passenger,ruby-serverspec,curl Restrictions: needs-root,isolation-container
  2. Download patch debian/control

    --- 5.5.19-1/debian/control 2020-03-19 18:23:06.000000000 +0000 +++ 5.5.19-1ubuntu2/debian/control 2020-07-07 19:16:07.000000000 +0000 @@ -1,7 +1,8 @@ Source: puppet Section: admin Priority: optional -Maintainer: Puppet Package Maintainers <pkg-puppet-devel@alioth-lists.debian.net> +Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> +XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@alioth-lists.debian.net> Uploaders: Micah Anderson <micah@debian.org>, Andrew Pollock <apollock@debian.org>, Stig Sandbeck Mathisen <ssm@debian.org>,
  3. Download patch debian/patches/series

    --- 5.5.19-1/debian/patches/series 2020-03-13 15:24:52.000000000 +0000 +++ 5.5.19-1ubuntu2/debian/patches/series 2020-07-07 19:16:07.000000000 +0000 @@ -8,3 +8,4 @@ 0008-reproducible-build.patch 0009-Avoid-BigDecimals-when-loading-JSON-using-Oj.patch 0010-maint-Delete-sync-requires.patch +fix-ruby27-warning.patch
  4. Download patch debian/patches/fix-ruby27-warning.patch

    --- 5.5.19-1/debian/patches/fix-ruby27-warning.patch 1970-01-01 00:00:00.000000000 +0000 +++ 5.5.19-1ubuntu2/debian/patches/fix-ruby27-warning.patch 2020-07-07 19:16:07.000000000 +0000 @@ -0,0 +1,17 @@ +Description: Fix Ruby 2.7 warning + The '**' operater should be used to pass keyword arguments from now on. +Author: Lucas Kanashiro <lucas.kanashiro@canonical.com> +Last-Updated: 26-03-2020 +Forwarded: yes, https://github.com/puppetlabs/puppet/pull/8060 + +--- a/lib/puppet/file_system/file_impl.rb ++++ b/lib/puppet/file_system/file_impl.rb +@@ -77,7 +77,7 @@ + end + + def read(path, opts = {}) +- path.read(opts) ++ path.read(**opts) + end + + def read_preserve_line_endings(path)
  5. Download patch debian/puppet-master.NEWS

    --- 5.5.19-1/debian/puppet-master.NEWS 1970-01-01 00:00:00.000000000 +0000 +++ 5.5.19-1ubuntu2/debian/puppet-master.NEWS 2020-03-13 19:07:25.000000000 +0000 @@ -0,0 +1,7 @@ +puppet (5.5.10-3) unstable; urgency=medium + + * Add a cron.daily job to clean-up /var/lib/puppet/reports for any report + that is older than 30 days to avoid filling-up a puppet-master hard drive + until it's full (Closes: #930033). + + -- Thomas Goirand <zigo@debian.org> Thu, 06 Jun 2019 10:24:27 +0200

Debian ( Changelog | PTS | Bugs ) Ubuntu ( Changelog | txt | LP | Bugs ) | Diff from Ubuntu

Source: puppet-module-puppetlabs-mysql

puppet-module-puppetlabs-mysql (8.1.0-2ubuntu1) focal; urgency=medium * Merge from Debian unstable. Remaining changes: - d/tests/spec/localhost/use_spec.rb: Check for mysql-{client,server} on Ubuntu instead of mariadb-{client,server}. -- Logan Rosen <logan@ubuntu.com> Fri, 14 Feb 2020 18:26:07 -0500

Modifications :
  1. Download patch debian/control

    --- 8.1.0-2/debian/control 2019-11-07 20:19:08.000000000 +0000 +++ 8.1.0-2ubuntu1/debian/control 2019-11-08 03:46:02.000000000 +0000 @@ -1,5 +1,6 @@ Source: puppet-module-puppetlabs-mysql -Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org> +Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> +XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org> Uploaders: Stig Sandbeck Mathisen <ssm@debian.org>, Sebastien Badia <sbadia@debian.org> Section: admin
  2. Download patch debian/tests/spec/localhost/use_spec.rb

    --- 8.1.0-2/debian/tests/spec/localhost/use_spec.rb 2019-11-07 20:19:08.000000000 +0000 +++ 8.1.0-2ubuntu1/debian/tests/spec/localhost/use_spec.rb 2019-11-08 03:46:02.000000000 +0000 @@ -4,7 +4,7 @@ describe command('puppet apply --detaile its(:exit_status) { should eq 2 } end -describe package('mariadb-client') do +describe package('mysql-client') do it { should be_installed } end @@ -12,7 +12,7 @@ describe command('puppet apply --detaile its(:exit_status) { should eq 2 } end -describe package('mariadb-server') do +describe package('mysql-server') do it { should be_installed } end
  1. munin
  2. puppet
  3. puppet-module-puppetlabs-mysql